org.apache.http.impl.conn

## Class DefaultSchemePortResolver

- java.lang.Object
- - org.apache.http.impl.conn.DefaultSchemePortResolver

All Implemented Interfaces:
  SchemePortResolver

    @Contract(threading=IMMUTABLE)
    public class DefaultSchemePortResolver
    extends Object
    implements SchemePortResolver

Default `SchemePortResolver`.

Since:
  4.3

### Field Summary

Fields
`static DefaultSchemePortResolver` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSchemePortResolver()`

### Method Summary

Methods
`int` `resolve(org.apache.http.HttpHost host)` Returns the actual port for the host based on the protocol scheme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultSchemePortResolver INSTANCE

### Constructor Detail

#### DefaultSchemePortResolver

    public DefaultSchemePortResolver()

### Method Detail

#### resolve

    public int resolve(org.apache.http.HttpHost host)
                throws UnsupportedSchemeException

Description copied from interface: `SchemePortResolver`
Returns the actual port for the host based on the protocol scheme.

Specified by:
  `resolve` in interface `SchemePortResolver`
Throws:
  `UnsupportedSchemeException`